<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_pensonal.ui.activity.PensonalAppointmentSuccessActivity.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_backRes="@mipmap/back_white"
            app:Easy_hasStatusPadding="true"
            app:Easy_title="Successful"
            app:Easy_titleBarBackground="#1C8BF9"
            app:Easy_titleColor="@color/white" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_27dp"
                    android:src="@drawable/appointment_success_icon" />

                <com.guadou.lib_baselib.font_text_view.TextViewSBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_20dp"
                    android:text="Thank you for your submitting!"
                    android:textColor="@color/input_black_text_5D"
                    android:textSize="@dimen/d_21sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewSBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:text="Youe swab test appointment is"
                    android:textColor="@color/input_black_text_5D"
                    android:textSize="@dimen/d_21sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewSBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:text="successful!"
                    android:textColor="@color/input_blue_text"
                    android:textSize="@dimen/d_24sp" />


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_8dp"
                    android:layout_marginTop="@dimen/d_15dp"
                    android:layout_marginRight="@dimen/d_8dp"
                    android:background="@drawable/shadow_round_gray_bg"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_17dp"
                        android:layout_marginTop="@dimen/d_12dp"
                        android:layout_marginRight="@dimen/d_17dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/appointment_success_name_icon" />

                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_15dp"
                            android:layout_weight="1"
                            android:text="Full Name"
                            android:textColor="@color/input_black_text_5D"
                            android:textSize="17sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewSBold
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Wendy Wang"
                            android:textColor="@color/input_black_text_5D"
                            android:textSize="16sp" />

                    </LinearLayout>

                    <com.guadou.lib_baselib.font_text_view.TextViewSBold
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_17dp"
                        android:layout_marginTop="@dimen/d_30dp"
                        android:text="Appointment Date"
                        android:textColor="@color/input_black_text_5D"
                        android:textSize="@dimen/d_17sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_17dp"
                        android:layout_marginTop="@dimen/d_10dp"
                        android:text="26 May, 2021 14:00"
                        android:textColor="#FF68768C"
                        android:textSize="17sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewSBold
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_17dp"
                        android:layout_marginTop="@dimen/d_22dp"
                        android:text="Appointment Address"
                        android:textColor="@color/input_black_text_5D"
                        android:textSize="@dimen/d_17sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_17dp"
                        android:layout_marginTop="@dimen/d_10dp"
                        android:text="B1-230, ION Orchard, 238801"
                        android:textColor="#FF68768C"
                        android:textSize="17sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="35dp" />

                </LinearLayout>


                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="match_parent"
                    android:layout_height="43dp"
                    android:layout_marginLeft="@dimen/d_19dp"
                    android:layout_marginTop="@dimen/d_20dp"
                    android:layout_marginRight="@dimen/d_19dp"
                    android:layout_marginBottom="@dimen/d_20dp"
                    android:background="@drawable/shape_btn_blue_3round_bg"
                    android:gravity="center"
                    android:text="Back My Oppointment Page"
                    android:textColor="@color/white"
                    android:textSize="@dimen/d_16sp"
                    binding:clicks="@{click.gotoHomePage}" />

            </LinearLayout>

        </ScrollView>

    </LinearLayout>

</layout>
